{
	"name": "form/nc/erp-sync/nestix/column/production_order.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "pro.production_order_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"change_compare": false,
			"field": "pro.production_order_state",
			"name": "State",
			"organization_id": { "nestix": { "load": false } },
			"width": 80
		},
		{
			"field": "pro.production_order_id",
			"name": "Prod. ord.",
			"width": 110
		},
		{
			"field": "pr.product_id",
			"name": "Product id",
			"width": 120,
			"organization_id": { "nestix": { "load": false } }
		},
		{
			"field": "pr.name",
			"name": "Product name",
			"width": 200,
			"organization_id": { "nestix": { "field": "pro.json_data.product_name" } }
		},
		{
			"field": "pr.drawing_number",
			"name": "Drawing",
			"width": 200,
			"organization_id": { "nestix": { "load": false } }
		},
		{
			"field": "pro.company_id",
			"name": "Customer",
			"organization_id": {
				"nestix": { "load": false }
			},
			"width": 95
		},
		{
			"field": "pro.sales_order_id",
			"name": "Sales order",
			"width": 110
		},
		{
			"field": "pro.amount_to_produce",
			"name": "Amount",
			"width": 70
		},
		{
			"field": "pro.json_data.delivery_date",
			"name": "Delivery",
			"type": "date",
			"width": 90
		},
		{
			"field": "prl.product_lot_id",
			"name": "Detail id",
			"width": 90,
			"organization_id": { "": { "load": false } }
		},
		{
			"field": "prl.info",
			"name": "Emf picture",
			"organization_id": { "": { "load": false } },
			"width": 230
		},
		{
			"field": "pro.info",
			"name": "Info",
			"organization_id": {
				"nestix": { "load": false }
			},
			"width": 350
		},
		{
			"change_compare": false,
			"name": "Modified",
			"field": "pro.modify_id",
			"organization_id": { "nestix": { "load": false } },
			"width": 140
		},
		{
			"change_compare": false,
			"field": "pro.record_id",
			"name": "Record id",
			"organization_id": {
				"nestix": { "load": false }
			},
			"width": 350
		}
	],
	"column-niu": [
		{
			"change_compare": false,
			"field": "pro.json_data.production_order_number",
			"name": "Work order",
			"width": 50
		}
	]
}
